<?php
// $Id: class.read.php,v 1.0.0 2006/07/08 00:00:00 TK Exp $


class Convert_Cache_Read extends Convert_Cache
{
	function makePageCache($array)
	{
		$filename = $this->getFileName($this->page, 'page');
		$this->putContents($filename, serialize($array));
	}

	function isPageCache($page, $reset = false)
	{
		static $cached = array();

		if ($reset) {
			clearstatcache();
			$cached = array();
		}

		if (! isset($cached[$page])) {
			$cached[$page] = file_exists($this->getFileName($page, 'page'));
		}
		return $cached[$page];
	}

	function isNoCache($page)
	{
		return file_exists($this->getFileName($page, 'log', 'no'));
	}

	function parse()
	{
		require_once CONVERT_CACHE_LIB_DIR . 'class.parse.php';
		$obj =& new Convert_Cache_Parse($this->page);
		$obj->run();
		if ($obj->nocache) {
			$this->mode = 'no';
		} else {
			$this->mode = 'make';
		}
	}
}


// [EOF] 47